Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Layer lassen sich nicht löschen

  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Thema geschlossen  Thema geschlossen!
Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Layer lassen sich nicht löschen (532 mal gelesen)
FM-Maxe
Mitglied
Ingenieur


Sehen Sie sich das Profil von FM-Maxe an!   Senden Sie eine Private Message an FM-Maxe  Schreiben Sie einen Gästebucheintrag für FM-Maxe

Beiträge: 59
Registriert: 12.10.2006

AutoCAD 2006 und 2007
Flächenmanagement-Software

erstellt am: 27. Aug. 2008 09:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich habe ein Layerproblem.
Wir konvertieren Layer im ACAD 2009.
Nun werden auch alle Layer in neue Layer konvertiert.
Es bleiben jedoch einige alte Layer bestehen, obwohl die Zeichnungselemente auf den neuen Layer konvertiert wurden.
Auf diesen alten Layern ist jedoch kein Zeichnungselemet vorhanden. Kein Block, keine Linie, nichts.
Wir haben selbstverständlich alles mit Ursprung mehrfach aufgelöst.
Mit "SAUSWAHL" bekommen wir die Meldung "kein Element gefunden"
Löschen können wir diese Layer auch nicht, da angeblich Zeichnungselemente mit diesen Layern in der Zeichnung vorhanden sein sollen.
Die betreffenden Layern frieren und den Rest per Wblock in eine neue Zeichnung kopieren funktioniert auch nicht.
Es sind dann nach wie vor die alten Layern vorhanden
Prüfen führt auch nicht zum Erfolg und bereinigen gleich auch nicht.
Gibt es ein Tool mit dem wir dieses Proplem lösen können.
Ich hoffe, dass mir jemand aus dem Forum weiter helfen kann.

------------------
Gruß FM-Maxe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

tunnelbauer
Ehrenmitglied V.I.P. h.c.
Bauingenieur



Sehen Sie sich das Profil von tunnelbauer an!   Senden Sie eine Private Message an tunnelbauer  Schreiben Sie einen Gästebucheintrag für tunnelbauer

Beiträge: 7085
Registriert: 13.01.2004

Sie nannten ihn google.

erstellt am: 27. Aug. 2008 09:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für FM-Maxe 10 Unities + Antwort hilfreich

Du hast hier schon genug antworten erhalten - es wäre nicht von Nöten gewesen ein X-Post zu eröffnen... (diejenigen die sich mit der Materie auskennen lesen auch im LT-Forum...)

------------------
Grüsse

Thomas

Korrekturen zum Kochbuch AutoLISP

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

FM-Maxe
Mitglied
Ingenieur


Sehen Sie sich das Profil von FM-Maxe an!   Senden Sie eine Private Message an FM-Maxe  Schreiben Sie einen Gästebucheintrag für FM-Maxe

Beiträge: 59
Registriert: 12.10.2006

AutoCAD 2006 und 2007
Flächenmanagement-Software

erstellt am: 27. Aug. 2008 09:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Es störte offensichtlich jemand, dass ich im LT_forum gewurstelt habe.
Habe lediglich in das richtige Forum gewechselt.

Stört das etwa auch?
Es würde mich freuen wenn du mir weiterhelfen könntest.
Damit wäre mir echt geholfen.

------------------
Gruß FM-Maxe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Gargarot
Mitglied
Student MSc Civil Engineering ETHZ, Dipl Bauzeichner


Sehen Sie sich das Profil von Gargarot an!   Senden Sie eine Private Message an Gargarot  Schreiben Sie einen Gästebucheintrag für Gargarot

Beiträge: 316
Registriert: 25.06.2008

erstellt am: 27. Aug. 2008 09:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für FM-Maxe 10 Unities + Antwort hilfreich

Sorry Mods!

Irgendwie ist das was quer gelaufen. Der Thread http://ww3.cad.de/foren/ubb/Forum54/HTML/020605.shtml sollte hierhin.

------------------
3 kleine Weisheiten
-Man kann ein Problem nicht mit den gleichen Denkstrukturen lösen, die zu seiner Entstehung beigetragen haben.
-Bewehrt sich Beton?
-Der Horizont vieler Menschen ist ein Kreis mit Radius Null - und das nennen sie ihren Standpunkt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Gargarot
Mitglied
Student MSc Civil Engineering ETHZ, Dipl Bauzeichner


Sehen Sie sich das Profil von Gargarot an!   Senden Sie eine Private Message an Gargarot  Schreiben Sie einen Gästebucheintrag für Gargarot

Beiträge: 316
Registriert: 25.06.2008

HP 8560w, Win7 SP1 64bit, i7 2760QM 2.4GHz, AMD FirePro M5950, 8GB RAM; AutoCAD 2013 Edu

erstellt am: 27. Aug. 2008 09:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für FM-Maxe 10 Unities + Antwort hilfreich

Also zur vollständigkeit: Ich meine dieses Lisp:

;;; --------------------------------------------------------------------------;
;;;  DELLAYER.lsp
;;;  Copyright (C) 1990 - 1993 by Autodesk, Inc.
;;;
;;;  Permission to use, copy, modify, and distribute this software
;;;  for any purpose and without fee is hereby granted, provided
;;;  that the above copyright notice appears in all copies and that
;;;  both that copyright notice and this permission notice appear in
;;;  all supporting documentation.
;;;
;;;  THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED
;;;  WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR
;;;  PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.
;;;
;;;  Version 2.0
;;; --------------------------------------------------------------------------;
;;;  DESCRIPTION
;;;
;;;  This program deletes all entities on specified layers.  Wildcards
;;;  can be specified.
;;;
;;;  Version 2.0 has been updated to delete entities in both paper
;;;  space and modelspace. An additional prompt has been added to
;;;  prepare a layer for purging. If desired, the layer(s) will be
;;;  thawed and turned off, to make purging possible.
;;;  Script files using earlier versions of this routine must be
;;;  updated to accomodate the extra prompt.
;;;
;;; --------------------------------------------------------------------------;

(defun dellerr (s)                    ; If an error (such as CTRL-C) occurs
                                      ; while this command is active...
  (if (/= s "Funktion abgebrochen")
    (princ (strcat "\nFehler: " s))
  )
  (setq sset_1 nil)                  ; Free selection-sets if any
  (setq sset_2 nil)
  (setvar "CMDECHO" ocmd)            ; Restore saved mode
  (setq *error* olderr)              ; Restore old *error* handler
  (princ)
)


(defun c ELLAYER ( / sset_1 sset_2 prg num count ex)
  (setq olderr *error*
        *error* dellerr)

  (setq ocmd (getvar "CMDECHO"))
  (setvar "CMDECHO" 0)

  (setq lname (strcase (getstring "\nZu löschende(r) Layer: ")))

  ;; Get all entities on layer(s)
  (setq sset_1 (ssget "_X" (list (cons 8 lname))))

  (if sset_1
      (progn
        (initget "Ja Nein")
        (setq prg (getkword "\n\
Den(die) Layer zum bereinigen vorbreiten <J>/N:"))
        (if (= prg nil) (setq prg "Ja"))
        (setq num (sslength sset_1))

        (setq count 0)                      ;delete the entities
        (repeat (sslength sset_1)
            (entdel (ssname sset_1 count))
            (setq count (1+ count))
        )

        ;Check that everything is gone
        (if
            (ssget "_X" (list (cons 8 lname)))
            ;And if anything is left
            (progn
              (setq tm (getvar "tilemode"))
                (if (= 1 tm)
                  (setvar "tilemode" 0)
                )
                ;Go to paperspace
                (if (/= 1 (getvar "cvport"))
                (progn
                  (princ "\nWechsle in den Papierbereich.")
                  (command "_.pspace")
                )
                )
                ;And try again
                (setq sset_2 (ssget "_X" (list (cons 8 lname))))
                (setq count 0)
                (repeat (sslength sset_2)
                  (entdel (ssname sset_2 count))
                  (setq count (1+ count))
                )
              (setvar "tilemode" tm)
            )
        )

        (if (= prg "Ja")
          (progn
            ; Prep the layer for purging
            ; Turn off, thaw, and unlock layer(s)
            (setq ex (getvar "expert"))
            (setvar "expert" 5)
            (command "_.layer" "_off" lname "_thaw" lname "")
              (if (= 0 (getvar "tilemode"))
                (command "_.vplayer" "_vpvisdflt" lname "_thaw" "_reset"
                lname "_all" "")
              )
            (princ "\n")(princ num)(princ " Objekt(e) auf Layer ")
            (princ lname)(princ " gelöscht.")(princ "\nLayer ") (princ lname)
            (princ " ist getaut, ausgeschaltet und kann bereinigt werden.")
    (setvar "expert" ex)
          )
          (progn
            (princ "\n")(princ num)(princ " Objekt(e) auf Layer ")
            (princ lname)(princ " gelöscht.")
          )
        )
      )

      (princ "Layer leer oder Layername ungültig.")
  )

  (setq sset_1 nil)                  ; Free selection-sets
  (setq sset_2 nil)
  (setvar "CMDECHO" ocmd)            ; Restore saved mode
  (setq *error* olderr)              ; Restore old *error* handler
  (princ)
)
(prompt "\nStarten mit: Dellayer")

Einfach in ner txt Datei speichern und .lsp umbenennen.

Ich verwende ein Lisp dazu: dellayer.lsp

Findest du in Googel.

Datei entweder direkt vom Desktop in die Zeichnung ziehen und (c:dellayer) in der Eingabezeile eingeben.
oder (wenn du das noch mehr brachen wilst) irgendwo abspeichern und mit einer Palette einen Neuen Befehl erstellen; Im Befehlsstring gibst du  ^C^C(load "DEINPFAD/dellayer.lsp")(c:dellayer) ein. (Gibt verschiedene Möglichkeiten, das wäre einfach meine Version) Noch ein hübsches Icon und du kannst Layer löschen am Kilometer.

Hoffe du kannst mir folgen und es klappt!

Sry nochmal. Kann man den Einen Beitrag löschen? *schäm*

Grüsse Hager

------------------
3 kleine Weisheiten
-Man kann ein Problem nicht mit den gleichen Denkstrukturen lösen, die zu seiner Entstehung beigetragen haben.
-Bewehrt sich Beton?
-Der Horizont vieler Menschen ist ein Kreis mit Radius Null - und das nennen sie ihren Standpunkt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Planungsingenieur Freileitungsbau (w/m/d)
Möchten Sie die nächste Stufe in Ihrer Karriere erreichen? Bei Brunel haben Sie die Möglichkeit sich bei namhaften Kunden kontinuierlich weiterzuentwickeln ? und das branchenübergreifend. Machen Sie noch heute den entscheidenden Schritt Ihrer Karriere und bewerben Sie sich bei uns als Planungsingenieur im Freileitungsbau.

Arbeiten bei Brunel bedeutet: Attraktive Arbeitsaufgaben, außergewöhnliche ...
Anzeige ansehenBauwesen
CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 27. Aug. 2008 09:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für FM-Maxe 10 Unities + Antwort hilfreich

   

Ich mach hier zu. Ein Posting im falschen Brett muß man nicht durch Crossposting schlimmer machen.


Ach ja .. noch zu dem dellayer-Tool vom obigen Post.. das kann noch nicht mal Objekte in Blöcken, sondern nur Top-Level-sachen ...
------------------
      - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag öffnen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz